import httpRequest from '@/utils/axios'
/**
 * 创建腾讯用户
 */
export function createTxAccount(data) {
  return httpRequest.post('/api/live/admin/v3/tencent/user/create', data)
}
/**
 * 更新腾讯用户
 */
export function updateTxAccount(id, data) {
  return httpRequest.put(`/api/live/admin/v3/tencent/user/${id}/update`, data)
}
/**
 * 删除腾讯用户
 */
export function deleteTxAccount(data) {
  return httpRequest.post('/api/live/admin/v3/tencent/user/batch-delete', data)
}
/**
 * 获取腾讯用户列表(分页)
 */
export function getTxAccountList(params) {
  return httpRequest.get('/api/live/admin/v3/tencent/users', { params })
}
/**
 * 获取所有腾讯用户列表(分页)
 */
export function getAllTxAccountList(params) {
  return httpRequest.get('/api/live/admin/v3/tencent/user/list', { params })
}